Intereting Posts
INSTALL_FAILED_NO_MATCHING_ABIS на GenyMotion Android: как динамически изменять атрибуты темы во время выполнения из кода Как запустить CountDownTimer в службе на Android? AlarmManager запускает аварийные сигналы в прошлом непосредственно перед тем, как BroadcastReceiver может перенести его Значки «Назад» и «Переполнение» Неправильный цвет в предустановленных устройствах после обновления до библиотеки поддержки 23.2.0 Чтение данных из тега NFC (IsoDep) Как использовать интерфейс для связи между двумя действиями ImageView ScaleType игнорирует прописку Как я могу заставить Android TableLayout заполнить родительский режим в ландшафтном режиме? Как реализовать конструкцию материалов с макетом ограничений? Android Edit Text Covered By Keyboard on Second Tap Как я понимаю, это вход в систему или выход из системы в facebook sdk 4.0.1 Как получить pid приложения Android с помощью оболочки adb? Как сохранить соотношение сторон VectorDrawable? SHA1 в Java и PHP с разными результатами

Eclipse ADT appcompat … что это?

Я провел весь день, совершенно не получая этого. Я загрузил Eclipse, загрузил SDK, установил обновления, но каждый новый проект Android я создаю что-то не так.

Во-первых, он вообще не генерирует файл R.java, но есть отдельный проект, который создается автоматически под именем appcompat_v7. Я не знаю, что это такое, но это вызывает проблемы с любым другим новым проектом.

Это ошибка, которую производит нормальный проект. Контейнер «Зависимости Android» ссылается на существующую библиотеку «/home/omar/workspace/appcompat_v7/bin/appcompat_v7.jar»

Я не знаю, как это исправить. Чем это вызвано?

EDIT. Похоже, что это только с KitKat, каждая другая платформа API вообще не создает ЛЮБЫЕ исходные файлы … любая идея, как бороться с этим?

Введите описание изображения здесь

Введите описание изображения здесь

Введите описание изображения здесь

Это библиотека поддержки, к которой, по-видимому, относится ваш проект. Вам нужно будет создать его как проект библиотеки в своей рабочей области. Этот процесс описан в разделе « Настройка библиотеки поддержки» в разделе « Добавление библиотек с ресурсами» .

Вы найдете проект, который вам нужно скопировать в SDK в папке:

\ YourSDKlocation \ инструменты \ андроида-СДК-windows4.4 \ Extras \ Android \ поддержка \ v7 \ AppCompat

(Не нужно просто копировать банку, вы должны создать ее как проект библиотеки.)

У меня была эта проблема, когда я переместил проект на другой ноутбук. Я решил это так:

Если appcompat_v7 недоступен в Eclipse: в меню «Файл» выберите «Создать», затем «Проект». Затем выберите Android и Android Project из существующего кода, затем нажмите «Далее», чтобы найти папку проекта appcompat_v7. Убедитесь, что в списке «Проекты для импорта» есть галочка. Если папка проекта appcompat_v7 в настоящее время не находится в вашей рабочей области, выберите «Скопируйте проекты в рабочее пространство», затем нажмите «Готово»

Теперь, когда проект библиотеки доступен в вашей рабочей области, его можно добавить в проект: выберите свой проект из Project Explorer и откройте свойства проекта (на Mac он находится в меню «Проект»). Нажмите «Android» в левом списке. Далее Список библиотеки, нажмите кнопку «Добавить». Выберите appcompat_v7 из списка

Тебе должно быть хорошо идти сейчас.